Bug 11986 - Tags searching doesn't work in OPAC if biblio DOM indexing is being used
Summary: Tags searching doesn't work in OPAC if biblio DOM indexing is being used
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jacek Ablewicz
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-23 18:33 UTC by Jacek Ablewicz
Modified: 2014-12-07 20:07 UTC (History)
1 user (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11986 - Tags searching doesn't work in OPAC if biblio DOM indexing is being used (1.64 KB, patch)
2014-03-23 21:08 UTC, Jacek Ablewicz
Details | Diff | Splinter Review
Bug 11986 - Tags searching doesn't work in OPAC if biblio DOM indexing is being used (1.69 KB, patch)
2014-04-24 13:15 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 11986 - Tags searching doesn't work in OPAC if biblio DOM indexing is being used (1.77 KB, patch)
2014-04-25 14:10 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jacek Ablewicz 2014-03-23 18:33:08 UTC
For biblio DOM indexing (which, AFAIRC, is now default setting for new installations), tags "searching" in OPAC doesn't work properly. Clicking on any tag in OPAC (within "Tag cloud", or within "Tags from this library: " in any given biblio) leads to 404 error in browser, and 

   ERROR DECODING RECORD - :1: parser error : Start tag expected, '<' not found
   ... at /home/koha/devkohaclone/C4/Search.pm line 1724.

in error.log.

I guess underlying cause for this error is this kludge in opac/opac-search.pl:

    504:  my @marclist = (map {$_->{marc}} @biblist );
    506:  $results_hashref->{biblioserver}->{RECORDS} = \@marclist;

which doesn't work any longer in cases when retrieval format being used for biblio records may now be not neceserilly marc, but also xml / marcxml.
Comment 1 Jacek Ablewicz 2014-03-23 21:08:22 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-04-24 13:15:27 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-04-25 14:10:10 UTC
Created attachment 27629 [details] [review]
[PASSED QA] Bug 11986 - Tags searching doesn't work in OPAC if biblio DOM indexing is being used

This patch fixes the following issue: in installations that are using
zebra DOM indexing for bibliographic records, tag searching in OPAC
doesn't work properly (clicking on any tag in OPAC leads to "404 error").

To test: ensure that with patch applied:
1) problems with tag searching get resolved for [some] test
configuration with biblio DOM indexing enabled,
2) there are no apparent tag-searching-related regressions in OPAC,
in some yet another test installation configured with legacy
(grs1) indexing mode for biblios.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Galen Charlton 2014-04-28 16:25:05 UTC
Pushed to master.  Thanks, Jacek!